[lkml]   [2006]   [Feb]   [13]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
Subject2.6.16, sk98lin out of date

As I'm sure the drivers/net maintainers are well aware, SysKonnect constantly
update their sk98lin/sky2 driver without bothering to sync their changes with
the official linux kernel.

I quickly downloaded driver version 8.31 from today and
used the install script to generate a diff against 2.6.16-rc3. Even after
fixing up some DOS EOLs in the package, the diff was still well over 1.5MBs.
This is an enormous number of changes.

The reason I'm posting is that my DFI LanParty-UT SLI-D works with this
version of the driver, but not the version 2.6.16-rc3.

[alistair] 10:55 [~] dmesg | grep sk98lin
sk98lin: Could not read VPD data.
sk98lin: probe of 0000:01:0a.0 failed with error -5

I wonder if it's worth just identifying the "quick fix" (I've seen workarounds
for corrupt VPDs like mine) or whether a general merge up would be

If nobody's maintaining this driver I wouldn't mind helping out.


'No sense being pessimistic, it probably wouldn't work anyway.'
Third year Computer Science undergraduate.
1F2 55 South Clerk Street, Edinburgh, UK.
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to
More majordomo info at
Please read the FAQ at

 \ /
  Last update: 2006-02-13 12:00    [W:0.068 / U:1.296 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site